Subject: Re: bug#25830: 25.2; ispell doesn't parse hunspell dictionaries properly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Feb 2017 10:24:38 +0200

> Date: Wed, 22 Feb 2017 17:43:10 +0100
> From: Martin Kletzander <[email-masked]>
> Cc: [email-masked]
> 
> On Wed, Feb 22, 2017 at 06:20:19PM +0200, Eli Zaretskii wrote:
> >> Date: Wed, 22 Feb 2017 11:40:25 +0100
> >> From: Martin Kletzander <[email-masked]>
> >> Cc: [email-masked]
> >>
> >> $ locale
> >> LANG=en_GB.utf8
> >> LC_CTYPE=en_GB.utf8
> >> LC_NUMERIC="en_GB.utf8"
> >> LC_TIME="en_GB.utf8"
> >> LC_COLLATE="en_GB.utf8"
> >> LC_MONETARY="en_GB.utf8"
> >> LC_MESSAGES="en_GB.utf8"
> >> LC_PAPER="en_GB.utf8"
> >> LC_NAME="en_GB.utf8"
> >> LC_ADDRESS="en_GB.utf8"
> >> LC_TELEPHONE="en_GB.utf8"
> >> LC_MEASUREMENT="en_GB.utf8"
> >> LC_IDENTIFICATION="en_GB.utf8"
> >> LC_ALL=
> >>
> >> Honestly, I don't know where it takes the cs_CZ from, *but* if it
> >> didn't, I would have to modify it so that it does.  Simply because
> >> that's what I want it to do by default.
> >
> >Interesting.  What version of Hunspell is that?
> 
> 1.6.0

Thanks.  I'll look into invoking ispell-hunspell-add-multi-dic
automatically when we find more than one dictionary loaded by
Hunspell, as it reports when invoked with the -D option.